% ComputeChannelGUI.m  plots the current channel

popupHnd1=findobj('Tag','PopupMenuMultipath');
noChannel = 0;
if get(popupHnd1,'Value') == 3		% Large
	d1 = 6;
	a1 = 0.4;
	d2 = 10;
	a2 = 0.3;
elseif get(popupHnd1,'Value') == 2	% Small
	d1 = 6;
	a1 = 0.25;
	d2 = 10;
	a2 = 0.20;
else  								% None
	noChannel = 1;
	channel_on = 0;
	break
end
num = [1, zeros(1, d1-1), a1, zeros(1, d2-d1-1), a2];
den = [1];
[H, W] = freqz(num, den);
mag = 20*log10(abs(H));
phase = angle(H) * 180/pi;
% plot(W/(2*pi),mag)	% comment me out normally
